Vagrant.configure(2) do |config|

	config.ssh.insert_key = false
	config.vm.box = "ubuntu/lunar64"
	config.vm.hostname = "ubuntu-k8s-istio"
	config.vm.network "private_network", ip: "192.168.110.200"
	
	config.vm.provision "shell" do |shell|
		shell.path = "01-install-base-tools.sh"
	end
	config.vm.provision "shell" do |shell|
		shell.path = "02-install-git.sh"
	end
	config.vm.provision "shell" do |shell|
		shell.path = "03-install-docker.sh"
	end
	config.vm.provision "shell" do |shell|
		shell.path = "04-install-minikube.sh"
	end

	config.vm.provider "virtualbox" do |vb|
		vb.customize ['modifyvm', :id, '--cpus', 2]
		vb.customize ['modifyvm', :id, '--memory', 6144]
	end
	
end